export const regTypeOptions = [
  { dictLabel: '有限责任公司', dictValue: '1'},
  { dictLabel: '股份有限公司', dictValue: '2'},
  { dictLabel: '外资投资企业', dictValue: '3'},
  { dictLabel: '国企', dictValue: '4'},
  { dictLabel: '独资企业', dictValue: '5'},
  { dictLabel: '个体工商户', dictValue: '6'},
  { dictLabel: '联营企业', dictValue: '7'},
  { dictLabel: '集团所有制', dictValue: '8'},
  { dictLabel: '有限合伙', dictValue: '9'},
  { dictLabel: '普通合伙', dictValue: '10'}
]

export const mainProductsOptions = [
  { dictLabel: '电子信息', dictValue: '1'},
  { dictLabel: '生物与新医药', dictValue: '2'},
  { dictLabel: '航空航天', dictValue: '3'},
  { dictLabel: '新能源及节能', dictValue: '4'},
  { dictLabel: '新材料', dictValue: '5'},
  { dictLabel: '先进制造', dictValue: '6'},
  { dictLabel: '现代农业', dictValue: '7'},
  { dictLabel: '高技术服务', dictValue: '8'},
  { dictLabel: '资源与环境', dictValue: '9'},
  { dictLabel: '高新技术改造传统产业', dictValue: '10'},
  { dictLabel: '其他', dictValue: '11'}
]

export const techScopeOptions = [
  { dictLabel: '电子信息', dictValue: '1'},
  { dictLabel: '生物与新医药', dictValue: '2'},
  { dictLabel: '航空航天', dictValue: '3'},
  { dictLabel: '新材料', dictValue: '4'},
  { dictLabel: '高新技术服务', dictValue: '5'},
  { dictLabel: '新能源及节能', dictValue: '6'},
  { dictLabel: '资源与环境', dictValue: '7'},
  { dictLabel: '先进制造与自动化', dictValue: '8'},
  { dictLabel: '其他', dictValue: '9'},
]

export const userListOptions = [
  { dictLabel: '技术员', dictValue: 'ENT_TECH'},
  { dictLabel: '技术负责人', dictValue: 'ENT_ADMIN_TECH'},
  { dictLabel: '财务员', dictValue: 'ENT_FIN'},
  { dictLabel: '财务负责人', dictValue: 'ENT_ADMIN_FIN'}
]

export const userAllListOptions = [
  { dictLabel: '企业管理员', dictValue: 'ENT_ADMIN'},
  { dictLabel: '技术员', dictValue: 'ENT_TECH'},
  { dictLabel: '技术负责人', dictValue: 'ENT_ADMIN_TECH'},
  { dictLabel: '财务员', dictValue: 'ENT_FIN'},
  { dictLabel: '财务负责人', dictValue: 'ENT_ADMIN_FIN'}
]
/**
 * 服务状态 1:待审核 2:服务中 3:已过期 4:冻结
 */
export const entStateOptions = [
  { dictLabel: '待审核', dictValue: '1'},
  { dictLabel: '服务中', dictValue: '2'},
  { dictLabel: '已过期', dictValue: '3'},
   {dictLabel: '冻结',dictValue: '4'}
]

export const yesOrNoOptions = [
  { dictLabel: '是', dictValue: 1},
  { dictLabel: '否', dictValue: 0}
]
/**
 *
 * 审核状态 1:待审核 2:通过 3:驳回
 */

export const authStateOptions =[
  { dictLabel: '待审核', dictValue: '1'},
  { dictLabel: '通过', dictValue: '2'},
  { dictLabel: '驳回', dictValue: '3'}
]
export const dutyAreaOptions =[
  { dictLabel: '省级', dictValue: 1},
  { dictLabel: '市级', dictValue: 2},
  { dictLabel: '区级', dictValue: 3}
]

/**
 * 申报状态
 */
export const reportStateOptions = [
  { dictLabel: '未申报', dictValue: 1},
  { dictLabel: '已申报', dictValue: 2},
  { dictLabel: '撤回', dictValue: 3}
]
export function getLabel(list, val) {
  for (let i = 0; i < list.length; i++) {
    if (val == list[i].dictValue) {
      return list[i].dictLabel
    }
  }
}
